> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/solana/json-rpc/getblockcommitment.md).

# getBlockCommitment

Returns commitment for particular block

#### **Parameters:**

u64 - required - Block number, identified by Slot.

#### **Returns:**

object - The result field will be a JSON object

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://solana.blockpi.network/v1/rpc/your-rpc-key
  POST -H "Content-Type: application/json" -d ' 
   {
     "jsonrpc": "2.0",
     "id": 1,
     "method": "getBlockCommitment",
     "params": [
       5
     ]
   }
'

// Result

```

{% endcode %}
